module pjfry95pg

  implicit none


  interface
    subroutine pginitgolem95(n)
      implicit none
      integer, intent(in) :: n
    end subroutine pginitgolem95
  end interface

  interface
    function pggetmusq()
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      real(ki_pjf) :: pggetmusq
    end function pggetmusq
  end interface

  interface
    subroutine pgsetmusq(musq)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      real(ki_pjf), intent(in) :: musq
    end subroutine pgsetmusq
  end interface

  interface
    subroutine pgsetmat(i, j, val)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, j
      real(ki_pjf), intent(in) :: val
    end subroutine pgsetmat
  end interface

  interface
    function pggetmat(i, j)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, j
      real(ki_pjf) :: pggetmat
    end function pggetmat
  end interface

  interface
    subroutine pgpreparesmatrix()
      implicit none
    end subroutine pgpreparesmatrix
  end interface

  interface
    function pga0(b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: b_pin, ep
      complex(ki_pjf) :: pga0
    end function pga0
  end interface

  interface
    function pga1(i, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, b_pin, ep
      complex(ki_pjf) :: pga1
    end function pga1
  end interface

  interface
    function pga2(i, j, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, j, b_pin, ep
      complex(ki_pjf) :: pga2
    end function pga2
  end interface

  interface
    function pgb2(b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: b_pin, ep
      complex(ki_pjf) :: pgb2
    end function pgb2
  end interface

  interface
    function pga3(i, j, k, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, j, k, b_pin, ep
      complex(ki_pjf) :: pga3
    end function pga3
  end interface

  interface
    function pgb3(i, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, b_pin, ep
      complex(ki_pjf) :: pgb3
    end function pgb3
  end interface

  interface
    function pga4(i, j, k, l, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, j, k, l, b_pin, ep
      complex(ki_pjf) :: pga4
    end function pga4
  end interface

  interface
    function pgb4(i, j, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, j, b_pin, ep
      complex(ki_pjf) :: pgb4
    end function pgb4
  end interface

  interface
    function pgc4(b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: b_pin, ep
      complex(ki_pjf) :: pgc4
    end function pgc4
  end interface

  interface
    function pga5(i, j, k, l, m, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, j, k, l, m, b_pin, ep
      complex(ki_pjf) :: pga5
    end function pga5
  end interface

  interface
    function pgb5(i, j, k, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, j, k, b_pin, ep
      complex(ki_pjf) :: pgb5
    end function pgb5
  end interface

  interface
    function pgc5(i, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, b_pin, ep
      complex(ki_pjf) :: pgc5
    end function pgc5
  end interface

  interface
    function pga6(i, j, k, l, m, n, b_pin, ep)
!      use precision_pjfry, only: ki_pjf
      implicit none
      integer, parameter :: ki_pjf = kind(1.0d0)
      integer, intent(in) :: i, j, k, l, m, n, b_pin, ep
      complex(ki_pjf) :: pga6
    end function pga6
  end interface

  contains

  end module pjfry95pg
  